%global oname murmur
Name:          murmur-java
Version:       1.0.0
Release:       1%{?dist}
Summary:       Pure Java implementations of Murmur hash algorithms
License:       ASL 2.0
URL:           http://sangupta.com/projects/murmur
Source0:       https://github.com/sangupta/murmur/archive/%{oname}-%{version}.tar.gz
# https://github.com/sangupta/murmur/issues/1
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
murmur is a pure Java implementation of all Murmur hashes,
namely, Murmur1, Murmur2 and Murmur3. The library is a direct
Java implementation of the C++ source code. Hash generation
has been 100% unit tested against the hashes generated using the
C++ code. The library should help in building bloom filters,
or to just compute the hash for checking sanity of data,
as Murmur3 is much faster than MD5 and SHA computations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{oname}-%{version}

%pom_remove_plugin :maven-source-plugin

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%mvn_file :%{oname} %{oname}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Apr 04 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm

